//Задаем путь к точкам обмена сообщениями 
function [messages,err]=AskCommandFromFile(quesion,..//Запрос
                                           CommandFilePointName,..//Точка обмена сообщениями
                                           cls..//Необходимость удаления файла вопросов
                                           )
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if nArg < 2 then
        error('Function AskCommandFromFile takes 2 or 3 arguments');
    elseif nArg == 2 then
        cls = %t;//По умолчанию файл запросов очищаем
    end
    
    //Проверяем аргумент
    if (type(quesion) ~= 10) ||..
       (size(quesion,'*') > 1) then
        error('The argument quesion of function AskCommandFromFile must be scalar string');
    end
    if (type(CommandFilePointName) ~= 10) ||..
       (size(CommandFilePointName,'*') > 1) then
        error('The argument MessageFilePointName of function AskCommandFromFile must be scalar string');
    end
    if (type(cls) ~= 4) ||..
       (size(cls,'*') > 1) then
        error('The argument cls of function AskCommandFromFile must be scalar boolean');
    end
    
    //Отправляем запрос
    err = DispCommandToFile(quesion + '\a',CommandFilePointName);
    
    //Ждем ответа
    [messages,..
     pathToMessagePoint] = ReadMessageFromPointFile(CommandFilePointName,..
                                                    'Answer.ans',%t);
                                        
    //Удаляем при необходимости файл вопросов
    if cls then
        fullQuencionFileName = fullfile(pathToMessagePoint,'Quencion.ask');
        if ~deletefile(fullQuencionFileName) then
            err = 2;
            error('Cannot deleting question file');
        end
    end
endfunction
